API ReferenceapicommsGET /v1/sequences/{id}

GET /v1/sequences/\{id\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Sequence found

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    },
    "steps": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "sequence_id": {
            "type": "string"
          },
          "position": {
            "type": "number"
          },
          "channel": {
            "type": "string"
          },
          "template_key": {
            "type": "string"
          },
          "delay_minutes": {
            "type": "number"
          }
        },
        "required": [
          "id",
          "sequence_id",
          "position",
          "channel",
          "template_key",
          "delay_minutes"
        ]
      }
    }
  },
  "required": [
    "id",
    "brand_id",
    "name",
    "description",
    "status",
    "created_at",
    "updated_at",
    "steps"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/sequences/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"